Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 23 Mar 2022 07:56:57 +0000

Hi Rayan Suliman,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have ordered online 4 chairs, you delivered 3 only . I am still waiting for the 4th chair, I contacted ur customer service more than 5 times and registered complaints and till now no action was taken and the 4th chair not delivered yet. I had the worst experience ever with your customer service staff. I need a solution asap. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4066026